--------------------------------------------------------------------------------
-- Animation code
-- animation.lua
-- -----------------------------------------------------------------------------


CableAnim = {}
CableAnim_Mt = {__index = CableAnim}

CableAnim:new(gObject)
	newCableAnim = {
		g = gObject,
		state = nil,
		step = nil,
	}
	
	return newCableAnim
end

function Cable:animate()
	-- if self.state == animate then
		-- do animation
		-- calculate next step/state
	-- else
		--return
	-- end
end
